json-c 0.12

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Macros | Functions
json_util.h File Reference

## Macros
#define | JSON_FILE_BUF_SIZE 4096

## Functions
struct json_object * | json_object_from_file (const char *filename)
int | json_object_to_file (const char *filename, struct json_object *obj)
int | json_object_to_file_ext (const char *filename, struct json_object *obj, int flags)
int | json_parse_int64 (const char *buf, int64_t *retval)
int | json_parse_double (const char *buf, double *retval)
const char * | json_type_to_name (enum json_type o_type)

## Macro Definition Documentation

#define JSON_FILE_BUF_SIZE 4096

## Function Documentation

struct json_object* json_object_from_file | ( | const char * | filename | ) |

int json_object_to_file | ( | const char * | filename,
|  | struct json_object * | obj
| ) |  |

int json_object_to_file_ext | ( | const char * | filename,
|  | struct json_object * | obj,
|  | int | flags
| ) |  |

int json_parse_double | ( | const char * | buf,
|  | double * | retval
| ) |  |

int json_parse_int64 | ( | const char * | buf,
|  | int64_t * | retval
| ) |  |

const char* json_type_to_name | ( | enum json_type | o_type | ) |

Return a string describing the type of the object. e.g. "int", or "object", etc...